gexace |

## Description

Execute gexace.

## Parameters

validate
  Description: Should xace file be validated?

  Domain: Boolean (true|false)

  Default: -

system
  Description: System

  Domain: ise|ge

  Default: -

library
  Description: library

  Domain: ise|ge

  Default: -

format
  Description: format

  Domain: ace|ecf|xace

  Default: -

verbose
  Description: verbose

  Domain: Boolean (true|false)

  Default: -

xace
  Description: Xace file

  Domain: Valid filename pointing to existing file

  Default: -

output
  Description: output filename

  Domain: Valid filename

  Default: -

## RNG Specification

      <define name="gexace">
        <element name="gexace">
          <ref name="dir_if_unless"/>
          <choice>
            <attribute name="validate"/>
            <attribute name="system">
              <!-- runtime evaluation
              <choice>
                <value>ise</value>
                <value>ge</value>
              </choice>
              -->
            </attribute>
            <attribute name="library">
              <!-- runtime evaluation
              <choice>
                <value>ise</value>
                <value>ge</value>
              </choice>
              -->
            </attribute>
            <attribute name="format">
              <!-- runtime evaluation
              <choice>
                <value>ace</value>
                <value>ecf</value>
                <value>xace</value>
              </choice>
              -->
            </attribute>
          </choice>
          <optional>
            <attribute name="verbose"/>
          </optional>
          <optional>
            <attribute name="xace"/>
          </optional>
          <optional>
            <attribute name="output"/>
          </optional>
          <zeroOrMore>
            <ref name="define"/>
          </zeroOrMore>
        </element>
      </define>

## Examples

      <gexace system="ge" xace="${system}.xace"/>

      <gexace system="${eiffel}" output="${gexace_output}" xace="${system_dir}/system.xace">

      <gexace system="ise">
        <define name="DEBUG" value="true" if="$DEBUG"/>
      </gexace>